"""Validate_all.py 
"""

import os


dirs_to_skip = ['.', 'okushiri_tank_validation_ver1']
validation_dirs_and_files = []


for dirpath, dirnames, filenames in os.walk('.'):

    if '.svn' in dirnames:
        dirnames.remove('.svn')  # don't visit SVN directories

    dir = os.path.split(dirpath)[-1]
    if dir in dirs_to_skip:
        print 'Skipping %s' %dirpath
        continue
    
    print 'Searching dir', dirpath
   

    for filename in filenames:
        if filename.startswith('validate') and filename.endswith('.py'):
            print 'Found %s in %s' %(filename, dirpath)
            validation_dirs_and_files.append((dirpath, filename))            



for path, filename in validation_dirs_and_files:
    os.chdir(path)
    s = 'python %s' %( filename)
    print s
    os.system(s)
            
